> For the complete documentation index, see [llms.txt](https://docs.dexe.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dexe.network/contract-interfaces/gov-contracts/erc721/multipliers/ierc721multiplier.md).

# IERC721Multiplier

## Interface Description

License: MIT

##

```solidity
interface IERC721Multiplier is IAbstractERC721Multiplier
```

## Functions info

### changeToken (0x4ccc2757)

```solidity
function changeToken(
    uint256 tokenId,
    uint256 multiplier,
    uint64 duration
) external
```

This function is used to change the basic rewards multiplier and the time for which the current nft will be locked

Parameters:

| Name       | Type    | Description                             |
| ---------- | ------- | --------------------------------------- |
| tokenId    | uint256 | the id of the nft to be changed         |
| multiplier | uint256 | the basic rewards multiplier            |
| duration   | uint64  | the time for which an nft can be locked |

### getCurrentMultiplier (0x0aebf7d2)

```solidity
function getCurrentMultiplier(
    address whose
) external view returns (uint256 multiplier, uint256 timeLeft)
```

This function is used to get the current basic rewards multiplier and the time for which the current nft will be locked

Parameters:

| Name  | Type    | Description                           |
| ----- | ------- | ------------------------------------- |
| whose | address | the address of the user to be checked |

Return values:

| Name       | Type    | Description                                             |
| ---------- | ------- | ------------------------------------------------------- |
| multiplier | uint256 | the basic rewards multiplier                            |
| timeLeft   | uint256 | seconds remaining before the current locked nft expires |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dexe.network/contract-interfaces/gov-contracts/erc721/multipliers/ierc721multiplier.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
